# unicode_bidi::level - Rust
API documentation for the Rust `level` mod in crate `unicode_bidi`.
Keywords: rust, rustlang, rust-lang, level

# Module unicode_bidi::level [−] [src]

Bidi Embedding Level

See `Level` for more details.

http://www.unicode.org/reports/tr9/#BD2

## Structs

Level | Embedding Level

## Enums

Error | Errors that can occur on Level creation or mutation

## Constants

LTR_LEVEL |
MAX_EXPLICIT_DEPTH | During explicit level resolution, embedding level can go as high as `max_depth`.
MAX_IMPLICIT_DEPTH | During implicit level resolution, embedding level can go as high as `max_depth + 1`.
RTL_LEVEL |

## Functions

has_rtl | If levels has any RTL (odd) level